-- 基础信息
base_info = {
	group_id = 247003009
}

-- DEFS_MISCS
local GroupId = 247003009
local point_id_list = {}
local MainGroupID = 247003001
local RegionID = 9001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 9001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 80.000, y = 0.050, z = 80.000 } }
}

-- 触发器
triggers = {
	{ config_id = 1009001, name = "ENTER_REGION_9001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 9002, pos = { x = 79.947, y = 0.039, z = 91.767 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9003, pos = { x = 76.951, y = 0.039, z = 91.065 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9004, pos = { x = 83.174, y = 0.039, z = 91.181 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9005, pos = { x = 73.040, y = 0.039, z = 89.857 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9006, pos = { x = 87.112, y = 0.039, z = 89.410 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9007, pos = { x = 70.593, y = 0.039, z = 87.358 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9008, pos = { x = 90.347, y = 0.039, z = 87.375 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 9009, pos = { x = 69.781, y = 0.039, z = 84.823 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 9010, pos = { x = 90.461, y = 0.039, z = 84.475 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 9011, pos = { x = 69.731, y = 0.039, z = 81.729 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 9012, pos = { x = 80.016, y = 0.039, z = 90.454 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 9013, pos = { x = 75.121, y = 0.039, z = 88.489 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 9014, pos = { x = 85.070, y = 0.039, z = 88.662 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 9015, pos = { x = 71.720, y = 0.039, z = 85.391 }, rot = { x = 0.000, y = 120.000, z = 0.000 }, tag = 4 },
	{ config_id = 9016, pos = { x = 89.257, y = 0.039, z = 84.370 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 9017, pos = { x = 72.169, y = 0.039, z = 79.735 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 9018, pos = { x = 88.668, y = 0.039, z = 78.455 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 4 },
	{ config_id = 9019, pos = { x = 75.177, y = 0.039, z = 75.923 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 4 },
	{ config_id = 9020, pos = { x = 85.248, y = 0.039, z = 75.114 }, rot = { x = 0.000, y = 300.000, z = 0.000 }, tag = 4 },
	{ config_id = 9021, pos = { x = 80.008, y = 0.039, z = 73.059 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 9022, pos = { x = 70.001, y = 0.039, z = 90.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9023, pos = { x = 90.068, y = 0.039, z = 90.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9024, pos = { x = 70.001, y = 0.039, z = 71.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9025, pos = { x = 90.068, y = 0.039, z = 71.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9026, pos = { x = 71.735, y = 0.039, z = 90.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9027, pos = { x = 91.802, y = 0.039, z = 90.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9028, pos = { x = 71.735, y = 0.039, z = 71.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9029, pos = { x = 91.802, y = 0.039, z = 71.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9030, pos = { x = 67.319, y = 0.039, z = 90.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9031, pos = { x = 87.386, y = 0.039, z = 90.797 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 9032, pos = { x = 67.319, y = 0.039, z = 71.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9033, pos = { x = 87.386, y = 0.039, z = 71.771 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 9034, pos = { x = 78.821, y = 0.039, z = 84.806 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9035, pos = { x = 81.053, y = 0.039, z = 84.806 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9036, pos = { x = 76.908, y = 0.039, z = 84.806 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9037, pos = { x = 83.100, y = 0.039, z = 84.806 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9038, pos = { x = 75.036, y = 0.039, z = 84.806 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9039, pos = { x = 84.938, y = 0.039, z = 84.806 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9040, pos = { x = 76.791, y = 0.039, z = 82.435 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9041, pos = { x = 82.837, y = 0.039, z = 82.435 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9042, pos = { x = 81.053, y = 0.039, z = 82.435 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9043, pos = { x = 78.821, y = 0.039, z = 82.435 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 16 },
	{ config_id = 9044, pos = { x = 80.000, y = 0.087, z = 87.126 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 32 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 9001 },
		triggers = { "ENTER_REGION_9001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
